package com.zanxiang.common.domain;

import java.util.HashMap;
import java.util.Map;

/**
 * 返回对象
 *
 * @author xufeng
 * @date 2022/6/9 10:41
 */
public class ResultMap extends HashMap<String, Object> {

    private static final long serialVersionUID = 1L;

    public ResultMap() {
        put("code", 0);
    }

    public static ResultMap error() {
        return error(500, "未知异常，请联系管理员");
    }

    public static ResultMap error(String msg) {
        return error(500, msg);
    }

    public static ResultMap error(int code, String msg) {
        ResultMap r = new ResultMap();
        r.put("code", code);
        r.put("msg", msg);
        return r;
    }

    public static ResultMap ok(Object msg) {
        ResultMap r = new ResultMap();
        r.put("msg", msg);
        return r;
    }


    public static ResultMap ok(Map<String, Object> map) {
        ResultMap r = new ResultMap();
        r.putAll(map);
        return r;
    }

    public static ResultMap ok() {
        ResultMap r = new ResultMap();
        r.put("msg", "操作成功");
        return r;
    }

    public static Boolean isOk(ResultMap r) {
        if (r.get("code").toString().equals("0")) {
            return true;
        }
        return false;
    }

    @Override
    public ResultMap put(String key, Object value) {
        super.put(key, value);
        return this;
    }
}